        integer dim,fl,yr,dt,hr,mn,cat
	real ll(44),lt(44),prs(44),rm(44),hb(44)
        real*4 distance(44),c(44),bl(44),dp(44),e(44),f(44),en(44)
c
c this part is for dummy variables...
	real*4 denom(44)
c
        character*250 infil
        character*250 outfile
        character*4 flag
        dim=42
c
        write(*,5001)
 5001   format(' enter input filename: ',$)
        read(*,5002) infil
 5002   format(a250)
c   
c
        open(unit=1,file=infil,status='old')
c        write(*,*) 'test....'
        jj = dim
           do  j = 1 , jj     
c               write(*,*) 'test....'
		read(1,*) cat, yr,dt,hr,mn,ll(j),lt(j),prs(j),rm(j),
     1  hb(j), fl
		write(*,*) cat, yr,dt,hr,mn,ll(j),lt(j),prs(j),rm(j),hb(j),fl
           end do             
        close(unit=1)
c
c       Here we print out the latitude
c	write(*,*) 'Here we print out the latitude ...'
c        do i=1,dim
c		write(*,*)ll(i)
c	end do
c 
c Here I compute the translation speed; c(dim-1)
c Here I am dividing by 3600 (to get the speed in m/s)
c Note: This is temporary - I need to be more precise; like read the time from the 
c input.
c
       dim1 =dim-1
       do i=1,dim1
       call getdistance(lt(i),ll(i),lt(i+1),ll(i+1),distance(i))
       write(*,*)' The distance is; ',distance(i)
       c(i)= (distance(i)/ 3600)
       write(*,*)' The speed is; ',c(i)
       end do
c
c Here I compute the drop in pressure; dp(dim) = 1013 - prs(dim)
c
       do i= 1,dim
	 dp(i)= 1010.0 - prs(i)
	 write(*,*)' The drop in pressure is; ',dp(i)
       end do
c
c Here I compute the Profile parameter; en(dim) = (hb(dim)/(2*e-hb(dim)))
c
	do i= 1,dim
	 denom(i) = 2*(2.71) - hb(i) 
	 en(i)= hb(i)/denom(i)
	 write(*,*)' The profile parameter is; ',en(i)
        end do
c
c Here I hard code the Drag coeffient alpha, beta, and the boundary 
c layer height.
c
        do i= 1,dim
	 e(i) = 1.1e-03 
	 f(i) = 4.0e-05
         bl(i)= 1000.0
	 write(*,*)' The hard coded values are; ', e(i), f(i), bl(i)
        end do
c
c Here write the data to a file
c
           open(unit=1,file='./out.dat',status='old')
           do  i = 1 , 41    
		write(1,*) rm(i),dp(i),c(i),e(i),f(i),bl(i),en(i)
           end do      
	   close(unit=1)       
        stop
        end
c
c
c

      subroutine getdistance (Latitude1, Longitude1,
     *                        Latitude2, Longitude2,
     *                        Distance)
c      implicit none
c 1 GETDISTANCE
c   Subroutine to determine the distance (in meters) 
c   between two pairs of positions.
c 2 USAGE
c   "a" = argument, "r" = referenced, "s" = set
c   
c   call getdistance                      (with the following arguments)
c          Latitude1                   [variable r*8 a]
c          Longitude1                  [variable r*8 a]
c          Latitude2                   [variable r*8 a]
c          Longitude2                  [variable r*8 a]
c          Distance                    [variable r*8 sr]
c 2 SUBROUTINES
c   None so far
c 2 LIMITATIONS
c   a- I am temporarily neglecting the curvature of the earth.
c   b- The input has to be  latitude and longitude. 
c
      real * 4 Latitude1, Longitude1
      real * 4 Latitude2, Longitude2

      real * 4 Distance
      real * 8 DeltaX,  DeltaY

c     character * 8 DataType



c  bail out if UNKNOWN (UNACCEPTABLE) input

c     if (DataType(1:7) .eq. 'UNKNOWN') then
c         Distance = 0.0
c     else
c         if (DataType(1:8) .eq. 'LAT/LONG') then
c             Latitude1 = Position1x
c             Longitude1 = Position1y
c
c             Latitude2 = Position2x
c             Longitude2 = Position2y
c
c             Zone1 = 0
c
  
c  if points turn out to be in different zones, 
c  force them into the same one

              DeltaX = Latitude1 - Latitude2
              DeltaY = Longitude1 - Longitude2

              Distance = dsqrt ((DeltaX ** 2) + (DeltaY ** 2))
c
c   convert to meters; 1 degree is 111,000 meters
c
              Distance = 111000 * Distance

c             if (Distance .gt. 99999.0) then
c                 print *, 'Excessive getdistance ', Distance
c                 print *, Zone1, Latitude1, Longitude1,
c    *                     UTMX1, UTMX2, DeltaX
c                 print *, Zone2, Latitude2, Longitude2,
c    *                     UTMY1, UTMY2, DeltaY
c             end if

      return
      end
