      real uu,vv,wspd,wdir
      uu= 10.0
      vv= 10.0
      call cnvuv(uu,vv,wspd,wdir)
      write(*,*)'quadr 1',wdir ,uu,vv
      uu= -10.0
      vv= 10.0
      call cnvuv(uu,vv,wspd,wdir)
      write(*,*)'quadr 2',wdir,uu,vv
      uu= -10.0
      vv= -10.0
      call cnvuv(uu,vv,wspd,wdir)
      write(*,*)'quadr 3',wdir,uu,vv 
      uu= 10.0
      vv= -10.0
      call cnvuv(uu,vv,wspd,wdir)
      write(*,*)'quadr 4',wdir,uu,vv 
      stop
      end
c
      subroutine cnvuv(u,v,wspd,wdir)
c
      pi=3.14
c Routine converts u, v components into wind speed, wind direction
c
       if (u .ne. -99.0 .and. v .ne. -99.0) then
        wspd = SQRT(u*u + v*v)
        IF ((u .GT. -0.01 .AND. u .LT. 0.01) .AND.
     >      (v .GT. -0.01 .AND. v .LT. 0.01)) THEN
         wdir = 0.0
        ELSE
         u = -u
         wdir = ATAN2(v,u)
         wdir = wdir - (pi*3.0)/2.0
         IF (wdir .GE. (pi*2.0)) THEN
          wdir = wdir - (pi * 2.0)
         ELSE IF (wdir .LT. 0.0 .AND. wdir .GE. -(pi*2.0)) THEN
          wdir = wdir + (pi * 2.0)
         ELSE IF (wdir .LT. -(pi*2.0)) THEN
          wdir = wdir + (pi * 4.0)
         END IF
        END IF
C
        wdir = wdir * 180.0 / pi
c
        else
         wspd = -99.0
         wdir = -99.0
        end if
c
        return
        end
c
