	real*4 uu(91),vv(91),uc(91),us(91),vc(91),vs(91),
     1  uc2(91),us2(91),vs2(91),vc2(91),vel(91),r(91)
	character*250 infil
	character*1 answ
        character*4 flag
        data cnstlat/111.1/, ityp/1/, flag/'lsm0'/, pres/950.0/
        data temp/-99.0/, rhum/-99.0/, geopot/-99.0/
c    Fran (NC)
c        data x0/77.90/, y0/33.820/, day/960906./, ihour/0024/
c    Andrew (FL)
c        data x0/80.157/, y0/25.46/, day/920824./, ihour/0831/ 
c    Hugo (SC)
c        data x0/79.88/, y0/32.81/, day/890922./, ihour/0405/ 
c    Erin (FL Panhandle)
c        data x0/86.58/, y0/29.89/, day/950803./, ihour/1200/ 
c    Labor Day 1935 
c        data x0/80.800/, y0/24.860/, day/350903./, ihour/0247/ 
c    Betsy 1965 
c        data x0/80.738/, y0/ 25.032/, day/650908./, ihour/1200/ 
c    Camille 1969
c        data x0/89.345/, y0/ 30.263/, day/690818./, ihour/0430/
c    Hazel 1954
c        data x0/78.500/, y0/ 33.900/, day/541015./, ihour/1320/
c
	write(*,5001)
 5001	format(' enter input filename: ',$)
	read(*,5002) infil
 5002	format(a250)
c   
c	write(*,5003)
c 5003	format(' earth or storm relative winds ? ',$)
c	read(*,5004) answ
c 5004	format(a1)
        answ = 'e'
c
	open(unit=1,file=infil,status='old')
	
	pi = 3.14159
	radcon = pi/180.0
        jj = 91
	read(1,*) rmax,c,alat,dp,vmax
           do  j = 1 , jj     
	      read(1,*) i, uu(j), vv(j)
           end do             
           do  j = 2 , jj     
	      read(1,*) i, uc(j),us(j)
           end do             
           do  j = 2 , jj     
	      read(1,*) i,uc2(j),us2(j)
           end do             

	close(unit=1)
c	open(unit=1,file='isovel.dat',status='unknown')
	open(unit=3,file='contour.dat',status='unknown')

c	write(3,*) rmax,c,alat,dp,vmax

	dr = 5.0/rmax

c	do i = 1 , 30
c	   write(*,5091) i,uu(i),uc(i),us(i),uc2(i),us2(i)
c	   write(*,5091) i,vv(i),vc(i),vs(i),vc2(i),vs2(i)
c 5091	   format(1x,i2,1x,f5.1,2x,2(1x,f5.1),2x,2(1x,f5.1))
c	end do
        write(*,*) ' Type in the storm latitude '  
        read(*,*) y0
        write(*,*) ' Type in the storm longitude '
	read(*,*) x0
        write(*,*) ' Type in the storm day (yymmdd) '
        read(*,*) day
        write(*,*) ' Type in the storm time (hhmm) '  
        read(*,*) ihour
        write(*,*) ' Type in the direction of the storm motion  
     >               (0 = N, 90 = E)'
        read(*,*) storm_dir
        angcor = 360.0 - storm_dir
	do 10 iang = 1 , 72
	   ang = (iang-1)*5
	   cosang = cos(ang*radcon)
	   sinang = sin(ang*radcon)
	   coscor = cos((ang+angcor)*radcon)
	   sincor = sin((ang+angcor)*radcon)
	   cos2ng = cos(2*ang*radcon)
	   sin2ng = sin(2*ang*radcon)
	   do 1 j = 2 , 70
	      s = dr*(j-1)
	      r(j) = s
	      if(s.ge.2) r(j) = 1.0 + s*s/4.0
	      u = uu(j) + uc(j)*cosang + us(j)*sinang
     1          + cos2ng*uc2(j) + sin2ng*us2(j)

	      v = vv(j) + vc(j)*cosang + vs(j)*sinang 
     1          + cos2ng*vc2(j) + sin2ng*vs2(j)

	      if(answ.eq.'e'.or.answ.eq.'E') then
	         v = v + c*cosang
	         u = u + c*sinang
	      end if
	      
	      if(r(j).le.1.5) then
	         phiw = 0.90
	      else if(r(j).gt.1.5.and.r(j).le.5.0) then
	         phiw = 0.90 - 0.10*sin( (r(j)-2)*pi/6 )
	      else
	         phiw = 0.80
	      end if
	      xi = r(j)*cosang
	      yi = r(j)*sinang
	      xi = r(j)*coscor
	      yi = r(j)*sincor

	      vel(j) = sqrt( v*v + u*u )*phiw
	      if(abs(xi).le.3.0.and.abs(yi).lt.3.0) then
c	         write(3,*) xi,yi,vel(j)
                 rlat = y0 + (rmax * yi)/cnstlat
                 rlon = x0 - (rmax * xi)/(cnstlat*cos(y0*radcon))
c
                 vrad = u
                 vtan = v
c
                 dif_lat = rlat - y0
                 Vlat = dif_lat * cnstlat
                 dif_lon = x0 - rlon
                 Vlon = dif_lon * (cnstlat * cos(y0*radcon))
                 Rdist = sqrt(Vlat * Vlat + Vlon * Vlon)
                 if (Vlon .ne. 0.0) then
                  a1 = (Rdist * vrad) / Vlon
                  b1 = Vlat / Vlon
                 end if
                 if (Vlat .ne. 0.0) then
                  a2 = (Rdist * vtan) / Vlat
                  b2 = Vlon / Vlat
                  c1 = Vlon / Vlat
                  c2 = a2
                 end if
                 if (Vlat .ne. 0.0 .and. Vlon .ne. 0.0) then
                  den = b1 + b2
                  if (den .ne. 0) then
                   v_comp = (a1 + a2) / den
                  else
                   v_comp = 0.0
                  end if
                  u_comp = (v_comp * c1) - c2
                 else if (Vlat .eq. 0.0 .and. Vlon .eq. 0.0) then
                  u_comp = 0.0
                  v_comp = 0.0
                 else if (Vlat .eq. 0.0) then
                  if (Vlon .gt. 0.0) then
                   u_comp = vrad
                   v_comp = vtan
                  else if (Vlon .lt. 0.0) then
                   u_comp = -vrad
                   v_comp = -vtan
                  end if
                 else if (Vlon .eq. 0.0) then
                  if (Vlat .gt. 0.0) then
                   u_comp = -vtan
                   v_comp = vrad
                  else if (Vlat .lt. 0.0) then
                   u_comp = vtan
                   v_comp = -vrad
                  end if
                 end if
               uout = u_comp * phiw
               vout = v_comp * phiw  
c        write(3,*) j,Vlat,Vlon,Rdist
c        write(3,*) a1,a2,b1,b2
c        write(3,*) c1,c2
        write(3,*)ityp,day,ihour,rlat,rlon,pres,temp,rhum,vel(j),
     1             uout,vout,flag
c        write(3,*)
 100  format(i2,1x,f7.0,1x,i4,'00',1x,2(f7.3,1x),3(f6.1,1x),f10.1,
     1       2(f10.1,1x),a4)
c        write(3,*) ang,rlat,rlon,phiw,u*phiw,v*phiw,vel(j)
	      end if
	      vel(j) = vel(j)/vmax
 1	   continue
 10	continue
	
	stop
	end
