	dimension vv(91),uu(91),zz0(91),fi0(91)
	common  /a/dr,rmax,f0,c,vmax,alat,c2
	common /drag/e,f

	data jj,fc/91,1.0/

	call init(xh,en)

	dr = 3000.0/rmax
	frd = 0.707

c	e = 1.1e-03
c	f = 4.0e-05

c	e = 5.5e-04
c	f = 2.0e-05

c	e = 1.0e-03
c	f = 0

c	xh = 1000.0

	f0 = 1.4584e-04*sin(alat/57.3)*rmax/vmax
	f0 = f0*vmax/rmax


	do 68 jr = 2 , jj
	   s = dr*(jr-1)
	   r = s
	   if(s.ge.2) r = 1.0 + s*s/4.0
	   call profil(vc,dvcdr,fi,r,en)
	   vc = vc*vmax
	   dvcdr = dvcdr*vmax/rmax
	   fi = fi*vmax*vmax/frd
	   r = r*rmax
	   vc2 = vc*vc
	   vz2 = vc2*fc*fc
	   rad = sqrt(vz2 + (f0*r/2.0)**2)
	   v = rad - f0*r/2
	   dvf2r = vc*dvcdr*fc*fc
     	   drd = dvf2r + r*f0*f0/4.0
	   dvr = drd/rad - 0.5*f0
	   z0 = dvr + v/r + f0
	   e0 = 2.0*v/r + f0
	   vv(jr) = v
	   g = (e*v + f*v*v)/xh
	   zz0(jr) = z0
	   uu(jr) = -g*v/z0
	   fi0(jr) = fi
 68	continue
	vv(1) = 0.0
	uu(1) = 0.0
	call blayer(uu,vv,fi0,jj,xh)
	stop
	end   

	subroutine profil(vc,dvcdr,fi,r,en)
	dimension amat(6,6),ul(6,6),a(6),b(6)
	data ifst/1/

	eni = 1.0
	eps = 0.15
	frd = 0.707
	if(ifst.ne.1) goto 500
	ifst = 0
	amat(1,1) = 1
	amat(2,1) = 1
	amat(4,2) = 1
	amat(5,2) = 1
	amat(1,5) = -1
	amat(2,6) = -1
	amat(3,5) = 0.0	
	amat(4,1) = 0.0	
	amat(5,1) = 0.0	
	amat(1,6) = 0.0
	amat(2,5) = 0.0
	amat(4,5) = 0.0
	amat(3,6) = 0.0
	amat(4,6) = 0.0
	amat(5,5) = 0.0
	amat(6,1) = 0.0	
	amat(6,2) = 1.0
	amat(6,3) = 2.0
	amat(6,4) = 3.0
	amat(6,5) = 0.0
	amat(6,6) = 0.0
	do 1 j = 2 , 4
	   amat(1,j) = (1.0+eps)*amat(1,j-1)
	   amat(2,j) = (1.0-eps)*amat(2,j-1)
 1	continue
	amat(4,4) = 3.0*(1.0+eps)*(1.0+eps)
	amat(4,3) = 2.0*(1.0+eps)
	amat(5,4) = 3.0*(1.0-eps)*(1.0-eps)
	amat(5,3) = 2.0*(1.0-eps)
	amat(4,5) = en/(1.0+eps)
	amat(5,6) = -eni/(1.0-eps)
	do 2 j = 1 , 4
	   amat(3,j) = 1.0
 2	continue
	do 3 j = 1 , 6
	   b(j) = 0
 3	continue
	b(3) = 1
	call solve(6,amat,ul,b,a)
	sg1 = a(5)
	sg2 = a(6)
	fi1 = -sg1*sg1/(2.0+en)
	pi1 = pint(1.0+eps,a)
	fi2 = fi1 + pint(1.0-eps,a) - pi1
 500	continue

	if(r.gt.1.0+eps) goto 100
	if(r.lt.1.0-eps) goto 200
	vc = 0.0
	dvcdr = 0.0
	do 90 i = 1 , 4
	   vc = a(5-i) + r*vc
 90	continue
	do 91 i = 1 , 3
	   dvcdr = (4.0-float(i))*a(5-i) + r*dvcdr
 91	continue
	fi = fi1 + pint(r,a) - pi1
	goto 1000
 100	vc = sg1*((1.0+eps)/r)**en
	dvcdr = -en*vc/r
	fi = -vc*vc/(2*en)
	goto 1000
 200	vc = sg2*(r/(1.0-eps))**eni
	dvcdr = eni*vc/r
	fi = fi2 - 0.5*(sg2*sg2 - vc*vc)/eni
 1000	continue
	fi = fi*frd

	return
	end
	function pint(r,a)
	dimension a(4)
	sum = 0.0
	do 1 m = 1 , 4
	   mm1 = m - 1
	   do 1 n = 1 , 4
	      npow = mm1 + (n-1)
	      if(npow.ne.0) goto 2
	      sum = sum + a(1)*a(1)*alog(r)
	      goto 1
 2	      sum = sum + a(n)*a(m)*r**npow/float(npow)
 1	 continue
	pint = sum
	return
	end
	subroutine blayer(uu,vv,fi0,jj,xh)

	dimension uu(91),vv(91),fi0(91)
	dimension fu(91),fv(91),ff(91),v1(91),uu0(91),vv0(91),
     1  fus(91),fuc(91),fvs(91),fvc(91),us(91),uc(91),vs(91),vc(91),
     1  us0(91),uc0(91),vs0(91),vc0(91),amat(4,4),bsi(4),asi(4),
     1  ul(4,4),fus2(91),fuc2(91),fvs2(91),fvc2(91),us2(91),
     1  uc2(91),vs2(91),vc2(91),us20(91),uc20(91),vs20(91),vc20(91),
     1  radius(91)

	real*8 g,h,ha,bs,bc,fusj,fucj,fvsj,fvcj,fuj,fvj,
     1  fus2j,fuc2j,fvs2j,fvc2j

	character*12 outfil

	common /a/dr,rmax,f0,c,vmax,alat,c2
	common /files/outfil
	common /drag/e,f

	pi = 3.14159
	nonl = 0
	itm = 9000
	itmp = itm + 1
	itt = 1000
	dt = 20.0
	xk = 0.5e+05

	ds = dr*rmax
	gmax = 2*rmax
	gmax2 = 2*gmax
	jjm1 = jj - 1
	amat(1,2) = 0
	amat(1,4) = 0
	amat(2,1) = 0
	amat(2,3) = 0
	amat(3,2) = 0
	amat(3,4) = 0
	amat(4,1) = 0
	amat(4,3) = 0

	do 12 j = 2 , jj
	   a = uu(j)*uu(j) + vv(j)*vv(j)
	   sqrta = sqrt(a)
	   g = (e*sqrta + f*a)/xh
	   h = (e*sqrta + 2*f*a)/xh
	   amat(1,1) = g + (h/a)*uu(j)*uu(j)
	   amat(1,3) = -f0 + (h/a)*uu(j)*vv(j)
	   bsi(1) = -c*amat(1,1)
	   amat(2,2) = amat(1,1)
	   amat(2,4) = amat(1,3)
	   hoa = h/a
	   bsi(2) = f0*c2 - hoa*uu(j)*uu(j)*c
	   amat(3,1) = f0 + hoa*vv(j)*uu(j)
	   amat(3,3) = g + hoa*vv(j)*vv(j)
	   bsi(3) = -f0*c2 - hoa*vv(j)*uu(j)*c
	   amat(4,2) = amat(3,1)
	   amat(4,4) = amat(3,3)
	   bsi(4) = -g*c - hoa*vv(j)*uu(j)*c
	   call solve(4,amat,ul,bsi,asi)
	   us(j) = asi(1)
	   uc(j) = asi(2)
	   vs(j) = asi(3)
	   vc(j) = asi(4)
	   us2(j) = 0
	   uc2(j) = 0
	   vs2(j) = 0
	   vc2(j) = 0

 12	continue

	do 3 it = 1 , itmp
	   us(1) = 2*us(2) - us(3)
	   uc(1) = 2*uc(2) - uc(3)
	   vs(1) = 2*vs(2) - vs(3)
	   vc(1) = 2*vc(2) - vc(3)
	   if(it.eq.1.or.mod(it,itt).eq.0) write(2,2001)it	    
 2001	   format(//,10h time step ,i5,//)

	   do 1 j = 2 , jj
	      jm1 = j - 1
	      s = ds*jm1
	      r = s
	      if(s.ge.gmax) r = rmax + s*s/gmax2
	      dr = ds
	      if(s.ge.gmax) dr = s/gmax*ds
	      gf = 1.0
	      if(s.ge.gmax)  gf = 1.0 - 1.0/(2*(r-rmax))
	      if(it.ne.1) goto 4
	         ff(j) = vv(j)*(f0 + vv(j)/r)
		 v1(j) = vv(j)
		 us2(1) = 0
	 	 uc2(1) = 0
		 vs2(1) = 0
		 vc2(1) = 0
 4	      continue
	      a = uu(j)*uu(j) + vv(j)*vv(j)
	      if(nonl.eq.4) goto 31
	      a = a + 0.5*(us(j)*us(j) + uc(j)*uc(j) + 
     1                     vs(j)*vs(j) + vc(j)*vc(j)) + c*c
	      cs =  0.25*(-us(j)*us(j) + uc(j)*uc(j) 
     1                    -vs(j)*vs(j) + vc(j)*vc(j))
	      cs = cs + 0.5*c*(-us(j) + vc(j))
	      cc = 0.5*(us(j)*uc(j) + vs(j)*vc(j) + c*uc(j) + c*vs(j))
	      x = c*(us(j) + vc(j))
 31	      continue
	      sqrta = sqrt(a)
              g = (e*sqrta + f*a)/xh
              h = (e*sqrta + 2*f*a)/xh
              ha = h/a
              bs = uu(j)*us(j) + vv(j)*vs(j) + uu(j)*c
              bc = uu(j)*uc(j) + vv(j)*vc(j) + vv(j)*c
              fusj = g*(c + us(j)) + ha*uu(j)*bs
              fucj = g*uc(j) + ha*uu(j)*bc
              fvsj = g*vs(j) + ha*vv(j)*bs
              fvcj = g*(c + vc(j)) + ha*vv(j)*bc
              fuj = g*uu(j)
              fvj = g*vv(j)
              if(nonl.eq.4) goto 32
              ha5 = ha*0.5
              fusj = fusj + ha5*(-cc*(c+us(j)) + cs*uc(j) + 
     1                      (c + us(j))*x)
              fucj = fucj + ha5*(cs*(c+us(j)) + cc*uc(j) + uc(j)*x)
              fvsj = fvsj + ha5*(-cc*vs(j) + cs*(c+vc(j)) + vs(j)*x)
              fvcj = fvcj + ha5*(cs*vs(j) + cc*(c+vc(j)) + (c+vc(j))*x)
              fuj = fuj + ha5*((c+us(j))*bs + bc*uc(j) + uu(j)*x)
              fvj = fvj + ha5*(vs(j)*bs + (c+vc(j))*bc + vv(j)*x)
 32           continue
              fuc2j = 0
              fus2j = 0
              fvc2j = 0
              fvs2j = 0
              if(nonl.eq.4) goto 33
              fuc2j = ha*(-0.5*bs*(c+us(j)) + 0.5*bc*uc(j)+cc*uu(j))
              fus2j = ha*(0.5*bs*uc(j) + 0.5*bc*(c+us(j))+cs*uu(j))
              fvc2j = ha*(-0.5*bs*vs(j) + 0.5*bc*(c+vc(j)) + cc*vv(j))
              fvs2j = ha*(0.5*bs*(c+vc(j)) + 0.5*bc*vs(j) + cs*vv(j))
 33           continue
              fuc2j = fuc2j + g*uc2(j) + ha*uu(j)*
     1                (uu(j)*uc2(j) + vv(j)*vc2(j))
              fus2j = fus2j + g*us2(j) + ha*uu(j)*
     1                (uu(j)*us2(j) + vv(j)*vs2(j))
              fvc2j = fvc2j + g*vc2(j) + ha*vv(j)*
     1                (uu(j)*uc2(j) + vv(j)*vc2(j))
              fvs2j = fvs2j + g*vs2(j) + ha*vv(j)*
     1                (uu(j)*us2(j) + vv(j)*vs2(j))
              if(j.ne.jj) goto 7
              urj = -uu(j)/r
              whj = 0.0
              zz0 = f0
              vrj = -vv(j)/r
              urj2 = urj
              uu2 = uu(j)
              rr = r*r
              drdr = dr*dr
              del2u = 2*(uu(j-1) - uu(j) - uu(j)*dr/r)/(drdr)
     1              - uu(j)/(rr) + urj/r
              del2v = 2*(vv(j-1) - vv(j) - vv(j)*dr/r)/(drdr)
     1              - vv(j)/(rr) + vrj/r
              goto 8
 7            continue
              drr = 2*dr
              rr = r*r
              drdr = dr*dr
              urj = (uu(j+1) - uu(j-1))/drr                 
              vrj = (vv(j+1) - vv(j-1))/drr                 
              urj2 = urj
              uu2 = uu(j)
              whj = -uu(j)/r - urj
              zz0 = f0 + vv(j)/r + (vv(j+1) - vv(j-1))/drr
              ee0 = f0 + 2*vv(j)/r
              usrj = (us(j+1) - us(j-1))/drr
              ucrj = (uc(j+1) - uc(j-1))/drr
              vsrj = (vs(j+1) - vs(j-1))/drr
              vcrj = (vc(j+1) - vc(j-1))/drr
              us2rj = (us2(j+1) - us2(j-1))/drr
              uc2rj = (uc2(j+1) - uc2(j-1))/drr
              vs2rj = (vs2(j+1) - vs2(j-1))/drr
              vc2rj = (vc2(j+1) - vc2(j-1))/drr
 34           continue
	      gfor = gf/r

              del2uc = (uc(j+1) + uc(j-1) - 2*uc(j))/drdr 
     1               + ucrj*gfor - 2*uc(j)/rr - (vs(j+1) + vs(j-1))/rr
              del2us = (us(j+1) + us(j-1) - 2*us(j))/drdr 
     1               + usrj*gfor - 2*us(j)/rr + (vc(j+1) + vc(j-1))/rr
              del2vc = (vc(j+1) + vc(j-1) - 2*vc(j))/drdr 
     1               + vcrj*gfor - 2*vc(j)/rr + (us(j+1) + us(j-1))/rr
              del2vs = (vs(j+1) + vs(j-1) - 2*vs(j))/drdr 
     1               + vsrj*gfor - 2*vs(j)/rr - (uc(j+1) + uc(j-1))/rr
              del2u = (uu(j+1) + uu(j-1) - 2*uu(j))/drdr 
     1              - uu(j)/rr + urj*gfor
              del2v = (vv(j+1) + vv(j-1) - 2*vv(j))/drdr 
     1              - vv(j)/rr + vrj*gfor

              dl2uc2 = (uc2(j+1) + uc2(j-1) - 2*uc2(j))/drdr
     1               + uc2rj*gfor - 5.0*uc2(j)/rr 
     1               - 2.0*(vs2(j+1) + vs2(j-1))/rr
              dl2us2 = (us2(j+1) + us2(j-1) - 2*us2(j))/drdr
     1               + us2rj*gfor - 5.0*us2(j)/rr
     1               + 2.0*(vc2(j+1) + vc2(j-1))/rr

              dl2vc2 = (vc2(j+1) + vc2(j-1) - 2*vc2(j))/drdr
     1               + vc2rj*gfor - 5.0*vc2(j)/rr 
     1               + 2.0*(us2(j+1) + us2(j-1))/rr

              dl2vs2 = (vs2(j+1) + vs2(j-1) - 2*vs2(j))/drdr
     1               + vs2rj*gfor - 5.0*vs2(j)/rr
     1               - 2.0*(uc2(j+1) + uc2(j-1))/rr

 35           continue
 8            continue

              pfu = ff(j) - vv(j)*(f0+vv(j)/r)
              pfv = uu(j)*(f0+vv(j)/r) + vrj*uu(j)
              fu(j) = pfu + uu(j)*urj2 + fuj - xk*del2u
              fv(j) = pfv + fvj - xk*del2v

              if(j.eq.jj) goto 20
              if(nonl.eq.1.) goto 22

              fu(j) = fu(j) + 0.5*(us(j)*usrj + uc(j)*ucrj
     1        + us2(j)*us2rj + uc2(j)*uc2rj
     2        -(vs(j)*vs(j)+vc(j)*vc(j)+vs2(j)*vs2(j)+vc2(j)*vc2(j))/r
     3        +(-uc(j)*vs(j) + vc(j)*us(j) - 2*uc2(j)*vs2(j)
     4        + 2*vc2(j)*us2(j))/r)
     
              fv(j) = fv(j) + 0.5*(us(j)*(vsrj + vs(j)/r)
     1        + uc(j)*(vcrj + vc(j)/r) + uc2(j)*
     1        (vc2rj + vc2(j)/r) + us2(j)*(vs2rj + vs2(j)/r))

              fusj = fusj + 0.5*(us2(j)*ucrj - uc2(j)*usrj 
     1        - us(j)*uc2rj + uc(j)*us2rj - (vs2(j)*vc(j)
     1        - vc2(j)*vs(j) - vs(j)*vc2(j) + vc(j)*vs2(j))/r
     1        + (-2.0*vs(j)*us2(j) - 2.0*vc(j)*uc2(j) + vs2(j)*us(j)
     1        + vc2(j)*uc(j))/r)

              fucj = fucj + 0.5*(us2(j)*usrj + uc2(j)*ucrj
     1        + us(j)*us2rj + uc(j)*uc2rj - (vs2(j)*vs(j) 
     1        + vc2(j)*vc(j) + vs(j)*vs2(j) + vc(j)*vc2(j))/r
     1        + (-2.0*vs(j)*uc2(j) + 2.0*vc(j)*us2(j) - vs2(j)*uc(j)
     1        + vc2(j)*us(j))/r)

              fvsj = fvsj 
     1        + 0.5*(us2(j)*(vcrj+vc(j)/r)-uc2(j)*(vsrj+vs(j)/r) 
     1        -us(j)*(vc2rj+vc2(j)/r) + uc(j)*(vs2rj + vs2(j)/r)
     1        +(-vs(j)*vs2(j) - vc(j)*vc2(j))/r)

              fvcj = fvcj + 0.5*(us2(j)*(vsrj+vs(j)/r)
     1        + uc2(j)*(vcrj + vc(j)/r) + us(j)*(vs2rj + vs2(j)/r)
     1        + uc(j)*(vc2rj + vc2(j)/r) 
     1        + (vs2(j)*vc(j) - vs(j)*vc2(j))/r)

 22           continue

              fuc2j = fuc2j
     1        + 0.5*(-us(j)*usrj + uc(j)*ucrj - (-vs(j)*vs(j)
     1        + vc(j)*vc(j))/r + ( vs(j)*uc(j) + vc(j)*us(j))/r)

              fus2j = fus2j 
     1        + 0.5*(us(j)*ucrj + uc(j)*usrj -2*vs(j)*vc(j)/r 
     1        + (vs(j)*us(j) - uc(j)*vc(j))/r)
      
              fvs2j = fvs2j
     1        + 0.5*(us(j)*(vcrj + vc(j)/r) + uc(j)*(vsrj + vs(j)/r)
     1        + ( vs(j)*vs(j) - vc(j)*vc(j))/r)

              fvc2j = fvc2j
     1        + 0.5*(-us(j)*(vsrj + vs(j)/r) + uc(j)*(vcrj + vc(j)/r)
     1        + 2.0*vs(j)*vc(j)/r)

              fus(j) = uu2*usrj + urj2*us(j) - ee0*vs(j) - vv(j)/r*uc(j)
     1        - xk*del2us + fusj

              fuc(j) = uu2*ucrj + urj2*uc(j) - ee0*vc(j) + vv(j)/r*us(j)
     1        - xk*del2uc + fucj

              fvs(j) = uu(j)*(vs(j)/r + vsrj) + us(j)*zz0
     1        - vv(j)/r*vc(j) - xk*del2vs + fvsj

              fvc(j) = uu(j)*(vc(j)/r + vcrj) + uc(j)*zz0 
     1        + vv(j)/r*vs(j) - xk*del2vc + fvcj

              fuc(j) = fuc(j) - f0*c2
              fvs(j) = fvs(j) + f0*c2

              fus2(j) = uu2*us2rj + urj2*us2(j) - ee0*vs2(j) -2*vv(j)/r
     1        *uc2(j) - xk*dl2us2 + fus2j
              fuc2(j) = uu2*uc2rj + urj2*uc2(j) - ee0*vc2(j) +2*vv(j)/r
     1        *us2(j) - xk*dl2uc2 + fuc2j
              fvs2(j) = uu(j)*(vs2(j)/r + vs2rj) + us2(j)*zz0 -2*vv(j)/r
     1        *vc2(j) - xk*dl2vs2 + fvs2j
              fvc2(j) = uu(j)*(vc2(j)/r + vc2rj) + uc2(j)*zz0 +2*vv(j)/r
     1        *vs2(j) - xk*dl2vc2 + fvc2j

 37           continue
              goto 21

 20           fus(j) = -f0*vs(j) + fusj
              fuc(j) = -f0*vc(j) + fucj - f0*c2
              fvs(j) = f0*us(j) + fvsj + f0*c2
              fvc(j) = f0*uc(j) + fvcj
              fus2(j) = -f0*vs2(j) + fus2j
              fuc2(j) = -f0*vc2(j) + fuc2j
              fvs2(j) = f0*us2(j) + fvs2j
c              fvc2(j) = f0*uc2(j) + fuc2j
              fvc2(j) = f0*uc2(j) + fvc2j
		write(*,*)'way before matsuno---',uu(j),vv(j),uc(j),us(j),vs(j),
     *          vc(j),uc2(j),us2(j),vc2(j),vs2(j),fu(j),fv(j),fuc(j),
     *          fus(j),fvc(j),fvs(j),fuc2(j),fus2(j),fvc2(j),fvs2(j),
     *          ' and it&j is ',it,j
 38           continue                 
 21           continue

              if(it.ne.1.and.mod(it,itt).ne.0.and.it.ne.itmp) goto 1
              whsj = -us(j)/r - usrj + vc(j)/r
              whcj = -uc(j)/r - ucrj - vs(j)/r
              zsj = vs(j)/r + vsrj + uc(j)/r
              zcj = vc(j)/r + vcrj - us(j)/r
              whmag = sqrt(whsj*whsj + whcj*whcj)
              if(whmag.eq.0.0) goto 101
              wharg = atan2(whsj,whcj)*180/pi
 101          zmag = sqrt(zsj*zsj + zcj*zcj)
              if(zmag.eq.0) goto 102
              zarg = atan2(zsj,zcj)*180/pi
 102          continue
              wh2sj = -us2(j)/r - us2rj + 2*vc2(j)/r
              wh2cj = -uc2(j)/r - uc2rj - 2*vs2(j)/r
              zs2j = vs2(j)/r + vs2rj + 2*uc2(j)/r
              zc2j = vc2(j)/r + vc2rj - 2*us2(j)/r
              wh2mag = sqrt(wh2sj*wh2sj + wh2cj*wh2cj)
	      if(wh2mag.eq.0) goto 105
	      wh2arg = atan2(wh2sj,wh2cj)*180/pi/2
 105          continue                                  
              z2mag = sqrt(zs2j*zs2j + zc2j*zc2j)
              if(z2mag.eq.0) goto 106
              z2arg = atan2(zs2j,zc2j)*180/pi/2
 106          continue
              umag = sqrt(us(j)*us(j) + uc(j)*uc(j))
              if(umag.eq.0) goto 103
              uarg = atan2(us(j),uc(j))*180/pi
 103          vmag = sqrt(vs(j)*vs(j) + vc(j)*vc(j))
              if(vmag.eq.0) goto 104
              varg = atan2(vs(j),vc(j))*180/pi
 104          continue
              u2mag = sqrt(us2(j)*us2(j) + uc2(j)*uc2(j))
              if(u2mag.eq.0) goto 107
              u2arg = atan2(us2(j),uc2(j))*180/pi/2
 107          v2mag = sqrt(vs2(j)*vs2(j) + vc2(j)*vc2(j))
              if(v2mag.eq.0) goto 108
              v2arg = atan2(vs2(j),vc2(j))*180/pi/2
 108          continue

c              if(it.gt.1) fi0(j) = xk
              if(it.gt.1) fi0(j) = xk
              if(it.eq.itmp) goto 201
              write(2,2002)jm1,r,v1(j),vv(j),uu(j),whj,zz0,
     1        umag,uarg,vmag,varg,u2mag,u2arg,v2mag,v2arg
 201          if(it.ne.itmp) goto 1
              write(2,2002)jm1,r,v1(j),vv(j),uu(j),whj,zz0,
     1        whmag,wharg,zmag,zarg,wh2mag,wh2arg,z2mag,z2arg
 2002         format(i5,e10.3,3f7.1,2e10.3,4(e10.3,f7.1))

 1         continue
*
* Here we are using the Matsuno scheme (note that it is not suitable for high frequency modes)
*
           if(it.ge.itm) goto 3
           do 5 j = 2 , jj
*		write(*,*)'before matsuno---',uu(j),vv(j),uc(j),us(j),vs(j),
*     *         vc(j),uc2(j),us2(j),vc2(j),vs2(j),fu(j),fv(j),fuc(j),
*     *        fus(j),fvc(j),fvs(j),fuc2(j),fus2(j),fvc2(j),fvs2(j),
*     *       ' and it&j is ',it,j
              if(mod(it,2).eq.0) goto 9
                 uu0(j) = uu(j)
                 vv0(j) = vv(j)
                 us0(j) = us(j)
                 uc0(j) = uc(j)
                 vc0(j) = vc(j)
                 vs0(j) = vs(j)
                 us20(j) = us2(j)
                 uc20(j) = uc2(j)
                 vc20(j) = vc2(j)
                 vs20(j) = vs2(j)
                 uu(j) = uu(j) - fu(j)*dt
                 vv(j) = vv(j) - fv(j)*dt
                 uc(j) = uc(j) - fuc(j)*dt
                 us(j) = us(j) - fus(j)*dt
                 vs(j) = vs(j) - fvs(j)*dt
                 vc(j) = vc(j) - fvc(j)*dt
                 uc2(j) = uc2(j) - fuc2(j)*dt
                 us2(j) = us2(j) - fus2(j)*dt
                 vc2(j) = vc2(j) - fvc2(j)*dt
                 vs2(j) = vs2(j) - fvs2(j)*dt
              goto 5
 9	      continue
                 uu(j) = uu0(j) - fu(j)*dt
                 vv(j) = vv0(j) - fv(j)*dt
                 uc(j) = uc0(j) - fuc(j)*dt
                 us(j) = us0(j) - fus(j)*dt
                 vc(j) = vc0(j) - fvc(j)*dt
                 vs(j) = vs0(j) - fvs(j)*dt
                 uc2(j) = uc20(j) - fuc2(j)*dt
                 us2(j) = us20(j) - fus2(j)*dt
                 vc2(j) = vc20(j) - fvc2(j)*dt
                 vs2(j) = vs20(j) - fvs2(j)*dt
		write(*,*)'after matsuno---',uu(j),vv(j),uc(j),us(j),vs(j),
     *          vc(j),uc2(j),us2(j),vc2(j),vs2(j),fu(j),fv(j),fuc(j),
     *          fus(j),fvc(j),fvs(j),fuc2(j),fus2(j),fvc2(j),fvs2(j),
     *          ' and it&j is ',it,j
 5         continue
 3      continue 

	      write(*,6001) outfil
 6001	      format(' file ',a12,' opened ')
           do  j = 1 , jj
	      write(11,*) j, uu(j), vv(j)
           end do
           do  j = 2 , jj
	      write(11,*) j, uc(j),us(j),vc(j),vs(j)
           end do
           do  j = 2 , jj
	      write(11,*) j,uc2(j),us2(j),vc2(j),vs2(j)
           end do
	      close(unit=11)

        return
        end
	subroutine solve(n,amat,temp,b,a)

	dimension amat(n,n),b(1),a(1),temp(n,n)
	dimension l(6),m(6)

	do 10 i = 1 , n
	   do 11 j = 1 , n
	      temp(i,j) = amat(i,j)
 11	   continue
 10	continue

	call minv(temp,n,d,l,m)

	do 1 i = 1 , n
	   a(i) = 0
	   do 2 j = 1 , n
	      a(i) = a(i) + temp(i,j)*b(j)
 2	   continue
 1	continue

	return
	end
C     ..................................................................
C
C        SUBROUTINE MINV
C
C        PURPOSE
C           INVERT A MATRIX
C
C        USAGE
C           CALL MINV(A,N,D,L,M)
C
C        DESCRIPTION OF PARAMETERS
C           A - INPUT MATRIX, DESTROYED IN COMPUTATION AND REPLACED BY
C               RESULTANT INVERSE.
C           N - ORDER OF MATRIX A
C           D - RESULTANT DETERMINANT
C           L - WORK VECTOR OF LENGTH N
C           M - WORK VECTOR OF LENGTH N
C
C        REMARKS
C           MATRIX A MUST BE A GENERAL MATRIX
C
C        SUBROUTINES AND FUNCTION SUBPROGRAMS REQUIRED
C           NONE
C
C        METHOD
C           THE STANDARD GAUSS-jORDAN METHOD IS USED. THE DETERMINANT
C           IS ALSO CALCULATED. A DETERMINANT OF ZERO INDICATES THAT
C           THE MATRIX IS SINGULAR.
C
C     ..................................................................
C
      SUBROUTINE MINV(A,N,D,L,M)
      DIMENSION A(1),L(1),M(1)
C
C        ...............................................................
C
C        IF A DOUBLE PRECISION VERSION OF THIS ROUTINE IS DESIRED, THE
C        C IN COLUMN 1 SHOULD BE REMOVED FROM THE DOUBLE PRECISION
C        STATEMENT WHICH FOLLOWS.
C
c      DOUBLE PRECISION A,D,BIGA,HOLD,DABS
C
C        THE C MUST ALSO BE REMOVED FROM DOUBLE PRECISION STATEMENTS
C        APPEARING IN OTHER ROUTINES USED IN CONJUNCTION WITH THIS
C        ROUTINE.
C
C        THE DOUBLE PRECISION VERSION OF THIS SUBROUTINE MUST ALSO
C        CONTAIN DOUBLE PRECISION FORTRAN FUNCTIONS.  ABS IN STATEMENT
C        10 MUST BE CHANGED TO DABS.
C
C        ...............................................................
C
C        SEARCH FOR LARGEST ELEMENT
C
      D=1.0
      NK=-N
      DO 80 K=1,N
      NK=NK+N
      L(K)=K
      M(K)=K
      KK=NK+K
      BIGA=A(KK)
      DO 20 J=K,N
      IZ=N*(J-1)
      DO 20 I=K,N
      IJ=IZ+I
   10 IF( ABS(BIGA)- ABS(A(IJ))) 15,20,20
   15 BIGA=A(IJ)
      L(K)=I
      M(K)=J
   20 CONTINUE
C
C        INTERCHANGE ROWS
C
      J=L(K)
      IF(J-K) 35,35,25
   25 KI=K-N
      DO 30 I=1,N
      KI=KI+N
      HOLD=-A(KI)
      JI=KI-K+J
      A(KI)=A(JI)
   30 A(JI) =HOLD
C
C        INTERCHANGE COLUMNS
C
   35 I=M(K)
      IF(I-K) 45,45,38
   38 JP=N*(I-1)
      DO 40 J=1,N
      JK=NK+J
      JI=JP+J
      HOLD=-A(JK)
      A(JK)=A(JI)
   40 A(JI) =HOLD
C
C        DIVIDE COLUMN BY MINUS PIVOT (VALUE OF PIVOT ELEMENT IS
C        CONTAINED IN BIGA)
C
   45 IF(BIGA) 48,46,48
   46 D=0.0
      RETURN
   48 DO 55 I=1,N
      IF(I-K) 50,55,50
   50 IK=NK+I
      A(IK)=A(IK)/(-BIGA)
   55 CONTINUE
C
C        REDUCE MATRIX
C
      DO 65 I=1,N
      IK=NK+I
      HOLD=A(IK)
      IJ=I-N
      DO 65 J=1,N
      IJ=IJ+N
      IF(I-K) 60,65,60
   60 IF(J-K) 62,65,62
   62 KJ=IJ-I+K
      A(IJ)=HOLD*A(KJ)+A(IJ)
   65 CONTINUE
C
C        DIVIDE ROW BY PIVOT
C
      KJ=K-N
      DO 75 J=1,N
      KJ=KJ+N
      IF(J-K) 70,75,70
   70 A(KJ)=A(KJ)/BIGA
   75 CONTINUE
C
C        PRODUCT OF PIVOTS
C
      D=D*BIGA
C
C        REPLACE PIVOT BY RECIPROCAL
C
      A(KK)=1.0/BIGA
   80 CONTINUE
C
C        FINAL ROW AND COLUMN INTERCHANGE
C
      K=N
  100 K=(K-1)
      IF(K) 150,150,105
  105 I=L(K)
      IF(I-K) 120,120,108
  108 JQ=N*(K-1)
      JR=N*(I-1)
      DO 110 J=1,N
      JK=JQ+J
      HOLD=A(JK)
      JI=JR+J
      A(JK)=-A(JI)
  110 A(JI) =HOLD
  120 J=M(K)
      IF(J-K) 100,100,125
  125 KI=K-N
      DO 130 I=1,N
      KI=KI+N
      HOLD=A(KI)
      JI=KI-K+J
      A(KI)=-A(JI)
  130 A(JI) =HOLD
      GO TO 100
  150 RETURN
      END
	subroutine init(xh,en)
	character*12 outfil
	common  /a/dr,rmax,f0,c,vmax,alat,c2
	common /drag/e,f
	common /files/outfil
c
c
c I need to be able to read the lat, long, pressure, Radius of Maximum 
c wind and the B value and get u,v...
c The translation velocity is computed since (lat(t0),long(t0)), (lat(t1),lon(t1)) are given
c The drop in pressure dp is computed using dp = 1010 - p0 (po is a given) 
c The drag coeffience is 
c The profile parameter is given by n = (B/(2*e-B))
c The boundary layer height 
c The drag coefficient 
c 
c
c
	write(*,5001)
 5001	format(' enter radius to maximum winds (metres) : ',$)
	read(*,*) rmax

	write(*,5002)
 5002	format(' enter central pressure drop (mbar) : ',$)
	read(*,*) delp

	write(*,5003)
 5003	format(' enter translation velocity (m/s) : ',$)
	read(*,*) c
	
	c2 = 0.0

	write(*,5004)
 5004	format(' enter latitude (degrees) : ',$)
	read(*,*) alat

	write(*,5009)
 5009	format(' enter drag coefficient parameters: ',$)
	read(*,*) e,f

	write(*,5019)
 5019	format(' enter boundary layer height (m): ',$)
	read(*,*) xh

	write(*,5020)
 5020	format(' enter profile parameter, n: ',$)
	read(*,*) en

	write(*,5006)
 5006	format(' enter output file name: ',$)
	read(*,5007) outfil
 5007	format(a12)

	f = 1.4584e-04*sin(alat/57.3)
	rkm = rmax/1000

	call vgbal(delp,rkm,f,vmax)

	write(*,*)' vmax = ',vmax

	open(unit=2,file='vortex.dat',status='unknown')
c	open(unit=11,file=outfil,status='unknown',form='binary')
        open(unit=11,file=outfil,status='unknown')
	write(11,*) rkm,c,alat,delp,vmax
	
	
	return
	end

	subroutine vgbal(delp,rmax,f,vgb)

c	delp   central pressure drop in millibars
c	rmax   radius to maximum wind (km)
c	f      coriolus parameter

c       vgb    gradient balance wind speed (m/sec)


	data sqexp1/0.6053/

	r = rmax*1000
	dp = delp*100

	b = f*r/2
	rho = 1.23

	vgb = -b + sqrt( b*b + dp/rho)
	vgb = vgb*sqexp1
c	vgb = 90.0

	return
	end
