	character*12 outfil
	common  /a/dr,rmax,f0,c,vmax,alat,c2
	common /drag/e,f
	common /files/outfil
c
c
c I need to be able to read the lat, long, pressure, Radius of Maximum 
c wind and the B value and get u,v...
c The translation velocity is computed since (lat(t0),long(t0)), (lat(t1),lon(t1)) are given
c The drop in pressure dp is computed using dp = 1010 - p0 (po is a given) 
c The drag coeffience is 
c The profile parameter is given by n = (B/(2*e-B))
c The boundary layer height 
c The drag coefficient 
c 
c
c
	write(*,5001)
 5001	format(' enter radius to maximum winds (metres) : ',$)
	read(*,*) rmax

	write(*,5002)
 5002	format(' enter central pressure drop (mbar) : ',$)
	read(*,*) delp

	write(*,5003)
 5003	format(' enter translation velocity (m/s) : ',$)
	read(*,*) c
	
	c2 = 0.0

	write(*,5004)
 5004	format(' enter latitude (degrees) : ',$)
	read(*,*) alat

	write(*,5009)
 5009	format(' enter drag coefficient parameters: ',$)
	read(*,*) e,f

	write(*,5019)
 5019	format(' enter boundary layer height (m): ',$)
	read(*,*) xh

	write(*,5020)
 5020	format(' enter profile parameter, n: ',$)
	read(*,*) en

	write(*,5006)
 5006	format(' enter output file name: ',$)
	read(*,5007) outfil
 5007	format(a12)

	f = 1.4584e-04*sin(alat/57.3)
	rkm = rmax/1000
c
c
        write(*,*)' This is what was picked; '
        write(*,*)' radius to maximum winds= ',rmax
        write(*,*)' pressure drop = ',delp
        write(*,*)' translation velocity = ',c
        write(*,*)'  latitude ', alat
        write(*,*)' drag coefficient parameters ',e,f
        write(*,*)' boundary layer height ', xh
        write(*,*)' profile parameter ',en
        write(*,*)' output file is ',outfile
c
c

	call vgbal(delp,rkm,f,vmax)

	write(*,*)' vmax = ',vmax

	open(unit=2,file='vortex.dat',status='unknown')
c	open(unit=11,file=outfil,status='unknown',form='binary')
        open(unit=11,file=outfil,status='unknown')
	write(11,*) rkm,c,alat,delp,vmax
	
	stop
	end
c
	subroutine vgbal(delp,rmax,f,vgb)

c	delp   central pressure drop in millibars
c	rmax   radius to maximum wind (km)
c	f      coriolus parameter

c       vgb    gradient balance wind speed (m/sec)


	data sqexp1/0.6053/

	r = rmax*1000
	dp = delp*100

	b = f*r/2
	rho = 1.23

	vgb = -b + sqrt( b*b + dp/rho)
	vgb = vgb*sqexp1

	return
	end
